summaryrefslogtreecommitdiffstats
path: root/source/d/bison/bison.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/d/bison/bison.SlackBuild')
-rwxr-xr-xsource/d/bison/bison.SlackBuild27
1 files changed, 21 insertions, 6 deletions
diff --git a/source/d/bison/bison.SlackBuild b/source/d/bison/bison.SlackBuild
index b4835eedc..d9e4b522a 100755
--- a/source/d/bison/bison.SlackBuild
+++ b/source/d/bison/bison.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2005-2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2005-2008, 2009, 2010, 2012 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
PKGNAM=bison
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:--j6}
@@ -60,7 +60,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf bison-$VERSION
-tar xvf $CWD/bison-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/bison-$VERSION.tar.?z* || exit 1
cd bison-$VERSION || exit 1
chown -R root:root .
find . \
@@ -74,7 +74,9 @@ CFLAGS="$SLKCFLAGS" \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--mandir=/usr/man \
- --infodir=/usr/info
+ --infodir=/usr/info \
+ --docdir=/usr/doc/bison-$VERSION \
+ --build=$ARCH-slackware-linux
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG
@@ -82,10 +84,23 @@ make install DESTDIR=$PKG
find $PKG | xargs file | grep -e "executable" -e "shared object" \
| grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+# Compress and link manpages, if any:
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.?
+ )
+ done
+ )
+fi
+
rm -f $PKG/usr/info/dir
gzip -9 $PKG/usr/info/*
-gzip -9 $PKG/usr/man/man1/bison.1
-gzip -9 $PKG/usr/man/man1/yacc.1
mkdir -p $PKG/usr/doc/bison-$VERSION
cp -a \